package com.ynet.life.mvc.upload;

import com.ynet.gene.core.Context;
import com.ynet.gene.web.multipart.implement.GENEMultipartFile;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.log.LifeActionLoggerFactory;
import javax.servlet.http.HttpServletRequest;

/* loaded from: com_ynet_life_mvc_upload.jar:com/ynet/life/mvc/upload/JRBUploadController.class */
public class JRBUploadController extends UploadController {
    @Override // com.ynet.life.mvc.upload.UploadController
    protected void preActionWork(HttpServletRequest request, Context sessionContext, UploadRequest mvc) throws TranFailException {
    }

    @Override // com.ynet.life.mvc.upload.UploadController
    protected void pstActionWork(HttpServletRequest request, Context sessionContext, UploadRequest mvc, Throwable throwable) throws TranFailException {
        LifeActionLoggerFactory.checkActionLogger(this.flowDef, sessionContext, throwable);
    }

    @Override // com.ynet.life.mvc.upload.UploadController
    protected void preContextWork(HttpServletRequest request, Context sessionContext, Context context, UploadRequest mvc) throws TranFailException {
        String uploadFileNameFiled = mvc.getUploadFileNameFiled();
        if (uploadFileNameFiled != null && !"".equals(uploadFileNameFiled)) {
            GENEMultipartFile uploadFileInfo = (GENEMultipartFile) context.get("uploadFile");
            if (uploadFileInfo != null) {
                context.put(uploadFileNameFiled, uploadFileInfo.getTempFileName());
            } else {
                Trace.logError("LifeFile", "上传文件为空。");
                throw new TranFailException("EBLN0000", "上传文件为空。");
            }
        }
    }
}
